#ifndef STRAIN_GET_HH
#define STRAIN_GET_HH

struct StrainGetArguments {
	float f, To, G0Re, G0Im, D0Re, D0Im, W0Re, W0Im;
	int wings;
};

#include <lal/Calibration.h>

class StrainGet {
	public:
		StrainGet( StrainGetArguments *args );
		void computeStrain( long dataStartTime, double deltaT, int length,
			double asq[], double darm[], double darm_err[], double exc[],
			double **h, double **hC, double **hR, double **alpha, 
			double **beta, double **alphabeta );
		~StrainGet();
		void readFiltersFile();

	private:
		StrainIn inputData;
		StrainOut outputData;
		bool firstRun;
};

#endif
